FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g8fbffaf.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g8fbffaf.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8fbffaf OS_GIT_VERSION=4.9.0-202112142229.p0.g8fbffaf.assembly.stream-8fbffaf SOURCE_DATE_EPOCH=1627070988 SOURCE_GIT_COMMIT=8fbffaf2b3c7f30145b316c7e34da54747b3e634 SOURCE_GIT_TAG=8fbffaf2 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
WORKDIR /go/src/github.com/openshift/cluster-policy-controller
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.9.0-202112140956.p0.gf93eca8.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g8fbffaf.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g8fbffaf.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8fbffaf OS_GIT_VERSION=4.9.0-202112142229.p0.g8fbffaf.assembly.stream-8fbffaf SOURCE_DATE_EPOCH=1627070988 SOURCE_GIT_COMMIT=8fbffaf2b3c7f30145b316c7e34da54747b3e634 SOURCE_GIT_TAG=8fbffaf2 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
COPY --from=builder /go/src/github.com/openshift/cluster-policy-controller/cluster-policy-controller /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift Cluster Policy Controller Command" \
        io.k8s.description="OpenShift is a platform for developing, building, and deploying containerized applications." \
        io.openshift.tags="openshift,cluster-policy-controller" \
        name="openshift/ose-cluster-policy-controller" \
        com.redhat.component="ose-cluster-policy-controller-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202112142229.p0.g8fbffaf.assembly.stream" \
        io.openshift.build.commit.id="8fbffaf2b3c7f30145b316c7e34da54747b3e634" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-policy-controller" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-policy-controller/commit/8fbffaf2b3c7f30145b316c7e34da54747b3e634" \
        version="v4.9.0"

